%global         package_version 1.0.0_master

%if 0%{?fedora} || 0%{?rhel} >= 7
%global with_systemd 1
%endif

%if 0%{?fedora} || 0%{?rhel} >= 8
%global with_python3 1
%else
%global with_python2 1
%endif

%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib2: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}

# Default to skipping autoreconf.  Distros can change just this one line
# (or provide a command-line override) if they backport any patches that
# touch configure.ac or Makefile.am.
%{!?enable_autotools:%global enable_autotools 0}

%global modname ovirt_register

Name:           python-ovirt-register
Version:        1.0.0
Release:        19%{?release_suffix}%{?dist}
Summary:        A python module and tool for registering nodes to oVirt Engine
License:        GPLv2+
Group:          System Environment/Libraries
URL:            http://www.ovirt.org
Source0:        http://resources.ovirt.org/pub/src/%{name}/%{name}-%{package_version}.tar.gz

BuildArch:      noarch

# dmidecode is not available in ppc/arm
ExclusiveArch: %{ix86} x86_64

BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python2-pep8
BuildRequires: python2-pyflakes

# Autotools BuildRequires
%if 0%{?enable_autotools}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gettext-devel
BuildRequires: libtool
%endif

%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pyflakes
BuildRequires: python3-pep8
%endif

Requires: python2-pyOpenSSL
Requires: dmidecode
Requires: python2-requests
Requires: python2-libselinux
%if 0%{?with_systemd}
Requires: python2-systemd
%endif

%{!?_licensedir:%global license %%doc}

%description
python ovirt register is a python 2 library for registering hosts
to oVirt Engine via HTTPs protocol. It supports Engine 3.3 or superior.
This package also contains the command line tool ovirt-register to
trigger the registration.

%if 0%{?with_python3}
%package -n python3-ovirt-register
Summary: A python 3 module and tool for registering nodes to oVirt Engine
Requires: dmidecode
Requires: python3-pyOpenSSL
Requires: python3-requests
Requires: systemd-python3
Requires: libselinux-python3

%description -n python3-ovirt-register
python ovirt register is a python 3 library for registering hosts
to oVirt Engine via HTTPs protocol. It supports Engine 3.3 or superior.
This package also contains the command line tool ovirt-register to
trigger the registration.
%endif

%prep
%setup -q -n %{name}-%{package_version}

%build
%if 0%{?enable_autotools}
autoreconf -if
%endif

%if 0%{?with_python3}
%configure
%endif

%if 0%{?with_python2}
%configure --without-python3
%endif

make %{?_smp_mflags}

%install
make %{?_smp_mflags} install DESTDIR="%{buildroot}"

%if 0%{?with_python3}
sed -i 's!/usr/bin/python!/usr/bin/python3!' %{buildroot}%{_bindir}/ovirt-register
%endif

%if 0%{?with_python2}
%files
%{_bindir}/ovirt-register
%{_mandir}/man1/ovirt-register.1.gz
%doc AUTHORS docs/PROTOCOL README
%license COPYING
%dir %{python2_sitelib}/%{modname}
%{python2_sitelib}/%{modname}/*
%endif

%if 0%{?with_python3}
%files -n python3-ovirt-register
%{_bindir}/ovirt-register
%{_mandir}/man1/ovirt-register.1.gz
%doc AUTHORS docs/PROTOCOL README
%license COPYING
%dir %{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}/*
%endif

%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-19
- Rebuilt for Python 3.7

* Tue Feb 27 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0.0-18
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Mar 03 2017 Douglas Schilling Landgraf <dougsland@redhat.com> - 1.0.0-15
- x86 platform only

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-13
- Rebuild for Python 3.6

* Tue Nov 08 2016 Douglas Schilling Landgraf <dougsland@redhat.com> - 1.0.0-12
- Exclusive arch as dmidecode is not available in ppc64 and arm

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Sat Nov  7 2015 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0.0-8
- Modify the script shebang so that the python3 package won't require python2

* Sat Oct 31 2015 Douglas Schilling Landgraf <dougsland@redhat.com> 1.0-7
- Increase Release

* Sat Oct 31 2015 Douglas Schilling Landgraf <dougsland@redhat.com> 1.0-6
- Added ExcludeArch

* Sun Jul 05 2015 Douglas Schilling Landgraf <dougsland@redhat.com> 1.0-5
- Replace distutils packing for autotools

* Fri Jul 03 2015 Douglas Schilling Landgraf <dougsland@redhat.com> 1.0-4
- chmod/chown should be outside of with

* Thu Jul 02 2015 Douglas Schilling Landgraf <dougsland@redhat.com> 1.0-3
- Improve uuid API handling
- improve spec
- try/except to syslog

* Thu Jul 02 2015 Douglas Schilling Landgraf <dougsland@redhat.com> 1.0-2
- Improvements in docstring, persist_uuid and pki module

* Wed Jun 24 2015 Douglas Schilling Landgraf <dougsland@redhat.com> 1.0-1
- Support registration for Engine 3.3 or higher
- Split package for python2 and python3
- Improve persist/unpersist handling
- Improve uuid handling
- Improve logging

* Thu May 07 2015 Douglas Schilling Landgraf <dougsland@redhat.com> 1.0-0
- Initial take
